- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: f1d1d59c-64eb-41ab-b0cd-0f01c438080a
    creation_time: 2023-02-17T12:10:47.976291Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/gauss_sum.i
      input_file_hashes:
        c/loop-new/gauss_sum.i: ac0c39e955880a6b0806ad5f8add28438e78eb47defb435342badf7c95feaa91
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/gauss_sum.i
    file_hash: ac0c39e955880a6b0806ad5f8add28438e78eb47defb435342badf7c95feaa91
    line: 29
    column: 0
    function: main
  loop_invariant:
    string: 2*sum ==  ( i-1 ) *i && i-1 <= n
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 13d369dd-9bb9-4afe-8c3c-b1f19436dc44
    creation_time: 2023-02-17T12:10:47.976605Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-new/gauss_sum.i
      input_file_hashes:
        c/loop-new/gauss_sum.i: ac0c39e955880a6b0806ad5f8add28438e78eb47defb435342badf7c95feaa91
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-new/gauss_sum.i
    file_hash: ac0c39e955880a6b0806ad5f8add28438e78eb47defb435342badf7c95feaa91
    line: 32
    column: 0
    function: main
  location_invariant:
    string: 2*sum == n* ( n+1 ) 
    type: assertion
    format: C

